zenilib: zenilib/jni/external/freetype2/src/cid/cidobjs.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Classes | Typedefs | Functions
cidobjs.h File Reference
`#include <ft2build.h>`
`#include <FT_INTERNAL_OBJECTS_H>`
`#include <FT_CONFIG_CONFIG_H>`
`#include <FT_INTERNAL_TYPE1_TYPES_H>`

Go to the source code of this file.

## Classes

struct | CID_GlyphSlotRec_
struct | CID_SizeRec_

## Typedefs

typedef struct CID_CharMapRec_ * | CID_CharMap
typedef struct CID_DriverRec_ * | CID_Driver
typedef struct CID_Glyph_Hints_ | CID_Glyph_Hints
typedef struct CID_GlyphSlotRec_ * | CID_GlyphSlot
typedef struct CID_GlyphSlotRec_ | CID_GlyphSlotRec
typedef struct CID_SizeRec_ * | CID_Size
typedef typedefFT_BEGIN_HEADER struct CID_Size_Hints_ | CID_Size_Hints
typedef struct CID_SizeRec_ | CID_SizeRec

## Functions

| cid_driver_done (FT_Module driver)
| cid_driver_init (FT_Module driver)
| cid_face_done (FT_Face face)
| cid_face_init (FT_Stream stream, FT_Face face, FT_Int face_index, FT_Int num_params, FT_Parameter *params)
| cid_size_done (FT_Size size)
| cid_size_init (FT_Size size)
| cid_size_request (FT_Size size, FT_Size_Request req)
| cid_slot_done (FT_GlyphSlot slot)
| cid_slot_init (FT_GlyphSlot slot)

## Typedef Documentation

typedef struct CID_CharMapRec_* CID_CharMap

Definition at line 83 of file cidobjs.h.

typedef struct CID_DriverRec_* CID_Driver

Definition at line 45 of file cidobjs.h.

typedef struct CID_Glyph_Hints_ CID_Glyph_Hints

Definition at line 34 of file cidobjs.h.

typedef struct CID_GlyphSlotRec_* CID_GlyphSlot

Definition at line 67 of file cidobjs.h.

typedef struct CID_GlyphSlotRec_ CID_GlyphSlotRec

typedef struct CID_SizeRec_* CID_Size

Definition at line 56 of file cidobjs.h.

typedef typedefFT_BEGIN_HEADER struct CID_Size_Hints_ CID_Size_Hints

Definition at line 33 of file cidobjs.h.

typedef struct CID_SizeRec_ CID_SizeRec

## Function Documentation

cid_driver_done | ( | FT_Module | driver | ) |

Definition at line 485 of file cidobjs.c.

References FT_UNUSED.

cid_driver_init | ( | FT_Module | driver | ) |

Definition at line 465 of file cidobjs.c.

References FT_UNUSED.

cid_face_done | ( | FT_Face | face | ) |

Definition at line 194 of file cidobjs.c.

References CID_FaceRec_::binary_data, CID_FaceRec_::cid, CID_FaceInfoRec_::cid_font_name, CID_FaceRec_::cid_stream, CID_SubrsRec_::code, PS_FontInfoRec_::family_name, CID_FaceInfoRec_::font_dicts, CID_FaceInfoRec_::font_info, FT_FREE, PS_FontInfoRec_::full_name, PS_FontInfoRec_::notice, CID_FaceInfoRec_::num_dicts, CID_FaceInfoRec_::ordering, CID_FaceInfoRec_::registry, CID_FaceRec_::subrs, PS_FontInfoRec_::version, and PS_FontInfoRec_::weight.

cid_face_init | ( | FT_Stream | stream,
|  | FT_Face | face,
|  | FT_Int | face_index,
|  | FT_Int | num_params,
|  | FT_Parameter * | params
| ) |  |

Definition at line 278 of file cidobjs.c.

References CID_FaceRec_::cid, CID_FaceInfoRec_::cid_count, cid_face_open(), CID_FaceInfoRec_::cid_font_name, error, PS_FontInfoRec_::family_name, CID_FaceInfoRec_::font_bbox, CID_FaceInfoRec_::font_info, FT_ERROR, FT_FACE_FLAG_FIXED_WIDTH, FT_FACE_FLAG_HINTER, FT_FACE_FLAG_HORIZONTAL, FT_FACE_FLAG_SCALABLE, FT_FACE_LIBRARY, FT_Get_Module_Interface(), ft_strcmp, FT_STREAM_SEEK, FT_STYLE_FLAG_BOLD, FT_STYLE_FLAG_ITALIC, FT_TRACE2, FT_UNUSED, PS_FontInfoRec_::full_name, if(), PS_FontInfoRec_::is_fixed_pitch, PS_FontInfoRec_::italic_angle, CID_FaceRec_::psaux, CID_FaceRec_::pshinter, PS_FontInfoRec_::underline_position, PS_FontInfoRec_::underline_thickness, PS_FontInfoRec_::weight, FT_BBox_::xMax, FT_BBox_::xMin, FT_BBox_::yMax, and FT_BBox_::yMin.

cid_size_done | ( | FT_Size | size | ) |

Definition at line 111 of file cidobjs.c.

References cid_size_get_globals_funcs(), and PSH_Globals_FuncsRec_::destroy.

cid_size_init | ( | FT_Size | size | ) |

Definition at line 131 of file cidobjs.c.

References CID_FaceRec_::cid, cid_size_get_globals_funcs(), PSH_Globals_FuncsRec_::create, error, FT_FaceRec_::face_index, CID_FaceInfoRec_::font_dicts, and CID_FaceRec_::root.

cid_size_request | ( | FT_Size | size,
|  | FT_Size_Request | req
| ) |  |

Definition at line 156 of file cidobjs.c.

References cid_size_get_globals_funcs(), FT_Request_Metrics(), and PSH_Globals_FuncsRec_::set_scale.

cid_slot_done | ( | FT_GlyphSlot | slot | ) |

Definition at line 50 of file cidobjs.c.

cid_slot_init | ( | FT_GlyphSlot | slot | ) |

Definition at line 57 of file cidobjs.c.

References FT_Get_Module(), PSHinter_Interface_::get_t1_funcs, and CID_FaceRec_::pshinter.